# eric6.Helpviewer.SpeedDial.SpeedDialReader

Module implementing a class to read speed dial data files.

### Global Attributes

None

### Classes

SpeedDialReader | Class implementing a reader object for speed dial data files.

### Functions

None

## SpeedDialReader

Class implementing a reader object for speed dial data files.

### Derived from

QXmlStreamReader

### Class Attributes

None

### Class Methods

None

### Methods

SpeedDialReader | Constructor
__readSpeedDial | Private method to read the speed dial data.
__skipUnknownElement | Private method to skip over all unknown elements.
read | Public method to read a user agent file.

### Static Methods

None

#### SpeedDialReader (Constructor)

SpeedDialReader()

Constructor

#### SpeedDialReader.__readSpeedDial

__readSpeedDial()

Private method to read the speed dial data.

#### SpeedDialReader.__skipUnknownElement

__skipUnknownElement()

Private method to skip over all unknown elements.

#### SpeedDialReader.read

read(fileNameOrDevice)

Public method to read a user agent file.

fileNameOrDevice
  name of the file to read (string) or reference to the device to read (QIODevice)

Returns:
  list of speed dial pages (list of Page), number of pages per row (integer) and size of the speed dial pages (integer)

Up